Artifact (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest.build

## Class Artifact

- java.lang.Object
- - com.ibm.streamsx.rest.build.Element
  - - com.ibm.streamsx.rest.build.Artifact

-     public class Artifact
      extends Element

  An object describing an IBM Streams build artifact.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.ibm.streamsx.rest.build.Element

      `Element.ElementArray<E extends Element>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Artifact()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `download(java.io.File directory)`
    `java.lang.String` | `getId()` Gets the IBM Streams unique identifier for this build artifact.
    `java.lang.String` | `getImageDigest()`
    `java.lang.String` | `getName()` Gets the name for this build artifact.
    `long` | `getSize()`
    `java.lang.String` | `getURL()`

    - ### Methods inherited from class com.ibm.streamsx.rest.build.Element

      `createList, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Artifact

          public Artifact()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the IBM Streams unique identifier for this build artifact.
      Returns:
        the IBM Streams unique identifier.

    - #### getName

          public java.lang.String getName()

      Gets the name for this build artifact.
      Returns:
        name for this build artifact.

    - #### getSize

          public long getSize()

    - #### getImageDigest

          public java.lang.String getImageDigest()

      Returns:
        the imageDigest or null if not present

    - #### getURL

          public java.lang.String getURL()

    - #### download

          public java.io.File download(java.io.File directory)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`